////////////////////////////////////////////////////////////////////////////////
//                                                                            //
// iecsupp.h                                                                  //
// berwacht die Erzeugung von COM-Objekten.                                  //
// (c) 2002 Matthias Withopf                                                  //
//                                                                            //
////////////////////////////////////////////////////////////////////////////////

#ifndef _IECSUPP_H_
#define _IECSUPP_H_

#include "config.h"

#define strColNameActive          100
#define strColNameSetting         101
#define strColNameDescription     102
#define strImportFilter           103
#define strImportTitle            104
#define strInvalidImportFormat    105
#define strInvalidImportSignature 106
#define strImportError            107
#define strInvalidCfgName         108
#define strDefCfgSaved            109
#define strCfgSaved               110
#define strErrorSavingCfg         111
#define strStatusValueAllow       112
#define strStatusValueDisallow    113
#define strStatusValueAsk         114
#define strErrorCreatingShortcut  115
#define strColNameCLSID           116
#define strColNameAppName         117
#define strColNameFileName        118
#define strColNameHostName        119
#define strTabNameCfg             120
#define strTabNameCOM             121
#define strTabNamePrgm            122
#define strTabNameFiles           123
#define strTabNameINet            124
#define strButtonContinue         125
#define strDeleteConfirmation     126
#define strImportOk               127
#define strTypeChangeConfirmation 128

enum
  {
    pf_Default               = 0x0000,
    pf_OnlyPatchCheck        = 0x0001,
    pf_OnlyLogging           = 0x0002,
    pf_ForceConfig           = 0x0004,
    pf_EnableLoggingAll      = 0x0008,
    pf_EnableLoggingDisabled = 0x0010,
    pf_AskAlways             = 0x0020,
    pf_ROConfig              = 0x0040,
    pf_GlobalConfig          = 0x0080,
    pf_SkipOpenFile          = 0x0100,
    pf_SkipWinSock           = 0x0200,
    pf_SkipNtDll             = 0x0400,
    pf_SkipOLE               = 0x0800,
    pf_SkipWinINet           = 0x1000,
    pf_LAST
  };

typedef uint (__stdcall *TPatchFunc)(void *ModuleHandle,unsigned long PatchFlags,char *ConfigKeyName,char *CfgName,char *LauncherFileName);

#endif

